/**
 * @file
 * Visual styles for Bootstrap Barrio's form components.
 */

.form-required::after {
    content: '';
    vertical-align: super;
    display: inline-block;
    background-image: url(../images/required.svg);
    background-repeat: no-repeat;
    background-size: ($input-height / 2) ($input-height / 2);
    width: ($input-height / 2);
    height: ($input-height / 2);
    margin: 0 0.3em;
}

form .filter-wrapper {
    padding-left: 0;
    padding-right: 0;
    margin-left: 1rem;
    margin-right: 1rem;
}

form .form-type-textarea {
    margin-bottom: 0;
}

fieldset:not(.fieldgroup) {
    background-color: transparent;
    padding: 10px 18px;

    &.form-type-search {
        margin: 0;
        padding: 0;
    }
}

.form-control {
    &.form-submit {
        width: unset;
        display: unset;
    }
}

label.form-check {
    padding-left: 0;
}

.js-form-type-checkbox {
    margin: 5px 0;

    input[type="checkbox"] {
        top: 2px;
    }
}

.button--primary {
    &.form-control {
        color: #fff;
        width: unset;
    }
}

.webform-submission-form {
    .form-actions {
        padding: 10px 18px;
    }
}

.layout-builder {
    padding: 15px 15px 10px;
}

.layout-builder-block {
    padding: 0;
}

.layout-builder-form {
    padding: 15px;

    .vertical-tabs {
        display: none;
    }
}

input.form-search {
    width: 100%;
}

.form-type-search {
	border-top: 1px solid #a7a9ac;
	border-bottom: 1px solid #a7a9ac;
	margin: 0;

	input.form-search {
		color: #a7a9ac;
		height: 50px;
		background-color: #414042;
		border: none;
		border-radius: none;
		box-shadow: none;
		width: 100%;

		&:focus {
			background-color: #414042;
			border: none;
			border-radius: none;
			box-shadow: none;
			outline: none;
			color: #a7a9ac;
		}
	}
}

#search-block-form {
	margin-bottom: 10px;

	.form-actions {
		display: none;
	}
}

.user-login-form {
    .form-actions {
        padding: 10px 18px;
    }
}